Summary: Linux Key Management Utilities
Name:    keyutils
Version: 1.6.3
Release: 4%{?dist}
License: GPLv2+ and LGPLv2+
Url:     https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git/
Source0: https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires: gcc g++ make glibc-kernheaders
Requires: %{name}-libs = %{version}-%{release}

%description
keyutils contains utilities to control the kernel key management facility and
to provide a mechanism by which the kernel call back to user space to get a key
instantiated.

%package libs
Summary: Key utilities library

%description libs
This package provides a wrapper library for the key management facility system
calls.

%package devel
Summary: Development package for building Linux key management utilities
Requires: %{name}-libs = %{version}-%{release}
Provides: %{name}-libs-devel = %{version}-%{release}

%description devel
This package provides headers and libraries for building key utilities.

%prep
%setup -q

%build
%make_build NO_ARLIB=1 CFLAGS="-Wall $RPM_OPT_FLAGS"

%install
%make_install \
	NO_ARLIB=1 \
	DESTDIR=%{buildroot} \
	ETCDIR=%{_sysconfdir} \
	LIBDIR=%{_libdir} \
	USRLIBDIR=%{_libdir} \
	BINDIR=%{_bindir} \
	SBINDIR=%{_sbindir} \

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%license LICENCE.GPL
%doc README
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/keyctl
%{_sbindir}/key.dns_resolver
%{_sbindir}/request-key
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files libs
%license LICENCE.LGPL
%{_libdir}/libkeyutils.so.*
%{_mandir}/man7/*

%files devel
%{_includedir}/keyutils.h
%{_libdir}/libkeyutils.so
%{_libdir}/pkgconfig/libkeyutils.pc
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 1 2022 Anakin Zhang <anakinzhang@tencent.com> - 1.6.3-1
- Initial build
